Support continuation in ApiDetailRetriever
Closed, ResolvedPublic

Description

Currently if there are too many file revisions or text revisions for an import source the extension will simply bail.
Continuation in the API should be supported.
This should still have a configurable limit.

Addshore created this task.Mar 21 2017, 6:09 PM
Addshore updated the task description. (Show Details)Sep 19 2017, 2:22 PM
Addshore added a project: WMDE-QWERTY-Team.

Change 382730 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/FileImporter@master] [WIP] Support continuation in ApiDetailRetriever

https://gerrit.wikimedia.org/r/382730

Change 382730 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Support continuation in ApiDetailRetriever

https://gerrit.wikimedia.org/r/382730

Tobi_WMDE_SW closed this task as Resolved.Nov 14 2017, 1:33 PM
Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Nov 14 2017, 3:28 PM